Name: oaf 
Version: 0.6.10
Release: alt6
Epoch: 1

Summary: GNOME Object Activation Framework
License: LGPL/GPL
Group: Graphical desktop/GNOME
URL: ftp://ftp.gnome.org/pub/GNOME/stable/sources/%name
Packager: Nazar Yurpeak <phoenix@altlinux.org>

Source: %url/%name-%version.tar.bz2
Patch0: %name-0.6.10-docbuild.patch

PreReq: lib%name = %version-%release
Obsoletes: liboaf0

# Automatically added by buildreq on Tue Oct 21 2003 (-bi)
BuildRequires: automake_1.4 ORBit-devel docbook-dtds docbook-style-dsssl flex glib-devel glibc-devel-static gtk-doc indent libORBit libOpenSP libpopt-devel libwrap-devel libxml-devel openjade sgml-common zlib-devel

BuildRequires: glib-devel >= 1.2.0
BuildRequires: ORBit-devel >= 0.5.1
BuildRequires: bison docbook-dtd30-sgml docbook-style-dsssl flex
BuildRequires: gtk-doc indent libpopt-devel libxml-devel openjade sgml-common
BuildRequires: zlib-devel

%package -n lib%name
Summary: GNOME Object Activation Framework library
Group: System/Libraries

%package devel
Summary: Development libraries and headers for OAF
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Provides: lib%name-devel = %version-%release
Obsoletes: lib%name-devel liboaf0-devel

%package doc
Summary: Documentation for OAF
Group: Development/GNOME and GTK+

%description
OAF (Object Activation Framework) provides the activation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

%description -n lib%name
OAF (Object Activation Framework) provides the activation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

This package contains shared library required for OAF-based software.

%description devel
OAF (Object Activation Framework) provides the activation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

This package contains the header files, IDL definitions, and libraries
needed to develop applications using OAF.

%description doc
OAF (Object Activation Framework) provides the activation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

This package contains documentation on the OAF architecture,
configuration, and API. The documentation is in HTML format.

%prep
%setup -q
%patch0 -p1 -b .docbuild
#%set_automake_version: 1.4

find . -name 'Makefile.am' |
    xargs perl -pi -e 's,(\$\(includedir\)),$1/gnome-1.0,'
perl -pi -e 's,(-I\@includedir\@),$1/gnome-1.0,' oafConf.sh.in
perl -pi -e 's,(\@includedir\@),$1/gnome-1.0,' oaf-config.in
#%__aclocal
automake-1.4 -a -c
%__autoconf

bzip2 -9k ChangeLog

%build
%configure
# No SMP build
%make

#%make check

%install
%makeinstall

%find_lang %name

#mv %buildroot%_datadir/%name/html .

%post
if [ "$DURING_INSTALL" = "" ]; then
	%_bindir/oaf-slay -s ||:
fi

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/oafd
%_bindir/oaf-client
%_bindir/oaf-run-query
%_bindir/oaf-slay
%_bindir/oaf-sysconf
%_bindir/oaf-empty-server
%_datadir/%name
%_datadir/idl/*
%_man1dir/*
%config(noreplace) %_sysconfdir/oaf
%doc AUTHORS NEWS README TODO COPYING

%files -n lib%name
%_libdir/*.so.*

%files devel
%_bindir/*config
%_libdir/*.so
%_libdir/*.sh
%_libdir/*.la
%_includedir/gnome-1.0/*
%_datadir/aclocal/*

%files doc
%doc ChangeLog* docs/{*.txt,*.dia,*.oafinfo,INTERNALS}
%doc api-docs/html

%changelog
* Tue Oct 21 2003 Nazar Yurpeak <phoenix@altlinux.org> 1:0.6.10-alt6
- updated BuildRequires

* Wed Nov 13 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1:0.6.10-alt5
- fix to build with new automake

* Wed Oct 09 2002 AEN <aen@altlinux.ru> 1:0.6.10-alt4
- includedir fixed again

* Sat Sep 21 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1:0.6.10-alt2
- includedir fix
- devel requires base package for IDL files to be there
- unbreak doc build

* Tue May 07 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1:0.6.10-alt1
- new version
- postun_ldconfig
- added oafd manpage
- doc subpackage

* Mon Jan 21 2002 AEN <aen@logic.ru> 1:0.6.8-alt1
- new version

* Fri Nov 02 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1:0.6.7-alt2
- Do oaf-slay after installation/upgrade
- liboaf made PreReq to oaf due to oaf-slay

* Mon Oct 29 2001 AEN <aen@logic.ru> 0.6.7-alt1
- new version

* Mon Sep 10 2001 AEN <aen@logic.ru> 0.6.6-alt3
- patch0 from MDK

* Fri Aug 24 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.6.6-alt2
- Corrected documentation
- Delibification of devel subpackage

* Wed Aug 22 2001 AEN <aen@logic.ru> 0.6.6-alt1
- release

* Thu Aug 09 2001 AEN <aen@logic.ru> 0.6.6-alt0.1
- snapshot 22.07

* Mon Mar 12 2001 AEN <aen@logic.ru> 0.6.5-ipl2mdk
- rebuild for release

* Tue Mar 6 2001 AEN <aen@logic.ru> 0.6.5-ipl1mdk
- 0.6.5
* Thu Feb 22 2001 AEN <aen@logic.ru> 0.6.3-ipl1mdk
- 0.6.3

* Tue Feb 1 2001 AEN <aen@logic.ru>
- Obsoletes liboaf0
- back to oaf 0.6.1

* Wed Jan 24 2001 Dmitry V. Levin <ldv@fandra.org> 0.6.2-ipl1mdk
- 0.6.2

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 0.6.1-ipl3mdk
- 0.6.1
- Split into three subpackages.
- Added more documentation for developer.

* Mon Aug 14 2000 Dmitry V. Levin <ldv@fandra.org> 0.5.0-ipl1mdk
- 0.5.0

* Wed Jul 05 2000 Dmitry V. Levin <ldv@fandra.org> 0.3.0-ipl1mdk
- Initial revision.
